Package javax.mail.internet

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.internet.ParseException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `AddressException`

    public class ParseException
    extends MessagingException

The exception thrown due to an error in parsing RFC822 or MIME headers, including multipart bodies.

Author:
  John Mani
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ParseException()` Constructs a ParseException with no detail message.
`ParseException​(java.lang.String s)` Constructs a ParseException with the specified detail message.

### Method Summary

### Methods inherited from class javax.mail.MessagingException

`getCause, getNextException, setNextException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException()

Constructs a ParseException with no detail message.

#### ParseException

    public ParseException​(java.lang.String s)

Constructs a ParseException with the specified detail message.

Parameters:
  `s` - the detail message